## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _without_tests 1
# Excluded extras/integrations
# The lines below are in `code: comment` format, where `code` is used for
# easier navigation in text editors and for linking.

# no_anthropic: anthropic is not packaged.
# no_ariadne: ariadne is not packaged.
# no_arq: arq is not packaged.
# no_beam: beam is not packaged.
# no_celery_redbeat: celery-redbeat is not packaged.
# no_chalice: chalice is not packaged.
# no_clickhouse_driver: clickhouse_driver is not packaged.
# no_cohere: cohere is not packaged.
# no_dramatiq: dramatiq is not packaged.
# no_fakeredis: fakeredis is not packaged.
# no_gql: gql is not packaged.
# no_huey: huey is not packaged.
# no_huggingface_hub: huggingface_hub is not packaged.
# no_langchain: langchain is not packaged.
# no_launchdarkly: launchdarkly is not packaged.
# no_litestar: litestar is not packaged.
# no_loguru: loguru is not packaged.
# no_mockupdb: mockupdb is not packaged. It is unmaintained: https://github.com/mongodb-labs/mongo-mockup-db.
# no_newrelic: newrelic is not packaged.
# no_openai: openai is not packaged.
# no_openfeature: openfeature is not packaged.
# no_opentelemetry: opentelemetry-distro is not packaged anymore.
# no_potel: opentelemetry-experimental is not packaged.
# no_pyspark: pyspark is not packaged.
# no_quart: quart is not packaged.
# no_ray: ray is not packaged.
# no_sanic: sanic is not packaged.
# no_starlite: starlite is not packaged.
# no_statsig: statsig is not packaged.
# no_strawberry: strawberry is not packaged.
# no_trytond: trytond is not packaged.
# no_unleash: UnleashClient is not packaged.

# old_graphene: graphene in Fedora 41 is too old (Sentry SDK wants 3.3, Fedora 41 has 3.0b6).
# new_werkzeug: werkzeug in Fedora 41 is too new (Sentry SDK wants < 2.1.0, Fedora 41 has 3.0.3).
#   https://github.com/getsentry/sentry-python/issues/1398

%bcond tests 1
%bcond network_tests 0

%global forgeurl https://github.com/getsentry/sentry-python
Version:        2.28.0
%global tag %{version}
%forgemeta

Name:           python-sentry-sdk
Release:        %autorelease
Summary:        The new Python SDK for Sentry.io
License:        MIT
URL:            https://sentry.io/for/python/
Source0:        %{forgesource}
# Downstream-only: unpin virtualenv
#
# Upstream wants a old virtualenv to allow an old pip for compatibility
# with old celery and httpx, but we must work with what we have.
Patch0:         0001-Downstream-only-unpin-virtualenv.patch

# Downstream-only: add django.contrib.admin to INSTALLED_APPS
#
# In contrast with upstream, tox environment pyX.XX-gevent is executed
# with django and djangorestframework installed. djangorestframework
# imports django.contrib.admindocs which in turn imports
# django.contrib.admin:
# https://github.com/encode/django-rest-framework/blob/c7a7eae551528b6887614df816c8a26df70272d6/rest_framework/schemas/generators.py#L10C6-L10C30
# https://github.com/django/django/blame/2d4add11fd57b05f7ea48e8b3e89e743c9871aa3/django/contrib/admindocs/views.py#L7
# Then, when gevent.monkey.patch_all is called, DefaultAdminSite._setup
# tries to get config for admin app, which is not present in sentry's
# testing suite app:
# https://github.com/django/django/blob/2d4add11fd57b05f7ea48e8b3e89e743c9871aa3/django/contrib/admin/sites.py#L605
# The easiest option is to add it there.
Patch1:         0002-Add-django.contrib.admin-to-INSTALLED_APPS-to-fix-te.patch

# Upstream patch:
# https://github.com/getsentry/sentry-python/pull/4388
Patch2:         0003-test-logs-avoid-failures-when-running-with-integrati.patch

# Remove pyrsistent from test dependencies
# https://github.com/getsentry/sentry-python/pull/4588
Patch3:         %{forgeurl}/pull/4588.patch

BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  postgresql-test-rpm-macros
BuildRequires:  python3dist(botocore)
BuildRequires:  python3dist(gevent)
BuildRequires:  python3dist(graphene)
BuildRequires:  python3dist(pyramid)
BuildRequires:  python3dist(typer)
BuildRequires:  python3dist(wheel)
%if %{with network_tests}
BuildRequires:  python3dist(boto3)
BuildRequires:  python3dist(pytest-httpx)
%endif
BuildRequires:  redis
%endif

# For re-generating protobuf bindings
BuildRequires:  protobuf-compiler

%global _description %{expand:
Python Error and Performance Monitoring. Actionable insights to resolve Python
performance bottlenecks and errors. See the full picture of any Python exception
so you can diagnose, fix, and optimize performance in the Python debugging
process.}

%description %_description

%package -n python3-sentry-sdk
Summary:        %{summary}

%description -n python3-sentry-sdk %_description

%global default_toxenv py%{python3_version}

# List of names of extras & toxenvs included
%global components %{shrink:
  aiohttp
  asyncpg
  celery
  django
  fastapi
  falcon
  pure_eval
  sqlalchemy
  starlette
  tornado
  %{nil}}

# List of names of extras & toxenvs excluded
# anthropic: no_anthropic
# arq: no_arq
# beam: no_beam
# chalice: no_chalice
# huey: no_huey
# huggingface_hub: no_huggingface_hub
# langchain: no_langchain
# launchdarkly: no_launchdarkly
# litestar: no_litestar
# loguru: no_loguru
# openai: no_openai
# openfeature: no_openfeature
# opentelemetry: no_opentelemetry
# quart: no_quart
# sanic: no_sanic
# starlite: no_starlite
# statsig: no_statsig
# unleash: no_unleash
%global components_excluded %{shrink:
  anthropic
  arq
  beam
  chalice
  huey
  huggingface_hub
  langchain
  launchdarkly
  loguru
  litestar
  openai
  openfeature
  opentelemetry
  quart
  sanic
  starlite
  statsig
  unleash
  %{nil}}

# List of names of extras included (if not present in components)
%global extras %{shrink:
  %{components}
  bottle
  flask
  grpcio
  http2
  httpx
  pymongo
  rq
  %{nil}}

# List of names of extras excluded (if not present in components_excluded)
# celery-redbeat: no_celery_redbeat
# clickhouse-driver: no_clickhouse_driver
# pyspark: no_pyspark
# opentelemetry-experimental: no_opentelemetry
%global extras_excluded %{shrink:
  %{components_excluded}
  celery-redbeat
  clickhouse-driver
  pyspark
  opentelemetry-experimental
  %{nil}}

%define toxenvs_by_components %{expand:%(echo %{components} | sed "s/^/%{toxenv}-/;s/ / %{toxenv}-/g")}

# List of names of toxenvs included (if not present in components)
%global toxenvs %{shrink:
  %{toxenvs_by_components}
  %{toxenv}-common
  %{toxenv}-cloud_resource_context
  %{toxenv}-gevent
  %{toxenv}-grpc
  %{toxenv}-typer
  %{nil}
}

%define toxenvs_excluded_by_components %{expand:%(echo %{components_excluded} | sed "s/^/%{toxenv}-/;s/ / %{toxenv}-/g")}

# List of names of toxenvs excluded (if not present in components_excluded)
# ariadne: no_ariadne
# asgi: async_asgi_testclient is unpackaged yet
# aws_lambda: aws_lambda requires credentials
# boto3: require network
# bottle: new_werkzeug
# clickhouse_driver: no_clickhouse_driver
# cohere: no_cohere
# dramatiq: no_dramatiq
# flask: new_werkzeug
# gcp: python 3.7 only
# gql: no_gql
# graphene: old_graphene
# httpx: require network
# potel: no_potel
# pymongo: no_mockupdb
# pyramid: new_werkzeug
# ray: no_ray
# redis: no_fakeredis
# redis_py_cluster_legacy: no_fakeredis
# requests: require network
# rq: no_fakeredis
# socket: require network
# spark: no_pyspark
# starberry: no_strawberry
# trytond: no_trytond
%global toxenvs_excluded %{shrink:
  %{toxenvs_excluded_by_components}
  %{toxenv}-ariadne
  %{toxenv}-asgi
  %{toxenv}-aws_lambda
  %{toxenv}-boto3
  %{toxenv}-bottle
  %{toxenv}-clickhouse_driver
  %{toxenv}-cohere
  %{toxenv}-dramatiq
  %{toxenv}-flask
  %{toxenv}-gcp
  %{toxenv}-gql
  %{toxenv}-graphene
  %{toxenv}-httpx
  %{toxenv}-potel
  %{toxenv}-pymongo
  %{toxenv}-pyramid
  %{toxenv}-ray
  %{toxenv}-redis
  %{toxenv}-redis_py_cluster_legacy
  %{toxenv}-rq
  %{toxenv}-requests
  %{toxenv}-socket
  %{toxenv}-spark
  %{toxenv}-strawberry
  %{toxenv}-trytond
  %{nil}}

%define toxenvs_csv %{expand:%(echo %{toxenvs} | sed "s/ /,/g")}

%define extras_csv %{expand:%(echo %{extras} | sed "s/ /,/g")}

%pyproject_extras_subpkg -n python3-sentry-sdk %{extras}


%prep
%forgeautosetup -p1

# Verify that all extras are defined against setup.py.
defined_extra=$(echo "%extras_excluded" "%extras" | xargs -n1 | sort -u)
setup_py_extra=$(cat setup.py | sed -n '/extras_require/,/}/p' | sed 's/    //g' | sed '$ s/.$/\nprint("\\n".join(extras_require))/' | python3 -)
diff <(echo "$defined_extra" | sed "s/_/-/g") <(echo "$setup_py_extra" | sed "s/_/-/g")

sed -r -i 's/psycopg2-binary/psycopg2/' tox.ini

# Unpin all test dependencies to make the installation happen.
sed -r -i 's/(pytest)<7.*/\1/' tox.ini
sed -r -i 's/(Werkzeug)<2\.1\.0/\1/' tox.ini
sed -r -i 's/(gevent)>=22\.10\.0, <22\.11\.0/\1/' tox.ini
sed -r -i 's/(anyio)<4.*/\1/' tox.ini

# no_newrelic
sed -r -i '/(newrelic)/d' tox.ini

# These Python packages needed for linting are not packaged.
sed -r -i '/(mypy-protobuf)/d' tox.ini
sed -r -i '/(types-protobuf)/d' tox.ini

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-x %{extras_csv} -e %{toxenvs_csv}}


%build
# Re-generate the protobuf bindings for compatibility with the packaged
# protobuf version.
pushd tests/integrations/grpc/protos/
protoc --python_out="${PWD}/.." grpc_test_service.proto
popd

%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files sentry_sdk


%check
# Check imports.
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.anthropic"  # no_anthropic
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.ariadne"  # no_ariadne
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.arq"  # no_arq
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.celery_redbeat"  # no_celery_redbeat
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.chalice"  # no_chalice
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.clickhouse_driver"  # no_clickhouse_driver
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.cohere"  # no_cohere
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.dramatiq"  # no_dramatiq
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.gql"  # no_gql
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.huey"  # no_huey
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.huggingface_hub"  # no_huggingface_hub
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.langchain"  # no_langchain
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.launchdarkly"  # no_launchdarkly
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.litestar"  # no_litestar
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.loguru"  # no_loguru
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.openai"  # no_openai
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.openfeature"  # no_openfeature
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.opentelemetry*"  # no_opentelemetry
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.quart"  # no_quart
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.ray"  # no_ray
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.sanic"  # no_sanic
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.starlite"  # no_starlite
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.statsig"  # no_statsig
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.strawberry"  # no_strawberry
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.trytond"  # no_trytond
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.unleash"  # no_unleash

%if %{without tests}
skip_import_check="${skip_import_check-} -e sentry_sdk.db.explain_plan.sqlalchemy"
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.aiohttp"
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.asyncpg"
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.boto3"
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.bottle"
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.celery*"
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.django*"
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.executing"
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.falcon"
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.fastapi"
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.flask"
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.graphene"
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.grpc*"
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.httpx"
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.pure_eval"
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.pymongo"
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.pyramid"
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.rq"
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.sqlalchemy"
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.starlette"
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.tornado"
skip_import_check="${skip_import_check-} -e sentry_sdk.integrations.typer"
%endif

%pyproject_check_import ${skip_import_check}

%if %{with tests}
# Tests

# Deselect/ignore tests.

# These tests are not in tox.ini, and they are probably broken.
ignore="${ignore-} --ignore=tests/integrations/wsgi"

# In tox.ini, this environment is python 3.7 only.
#   https://github.com/getsentry/sentry-python/blob/2.7.1/tox.ini#L127
ignore="${ignore-} --ignore=tests/integrations/gcp"

# These tests require network.
%if %{without network_tests}
deselect="${deselect-} --deselect=tests/integrations/django/test_basic.py::test_cache_spans_decorator"
deselect="${deselect-} --deselect=tests/integrations/django/test_basic.py::test_cache_spans_disabled_decorator"
deselect="${deselect-} --deselect=tests/integrations/django/test_basic.py::test_cache_spans_disabled_middleware"
deselect="${deselect-} --deselect=tests/integrations/django/test_basic.py::test_cache_spans_disabled_templatetag"
deselect="${deselect-} --deselect=tests/integrations/django/test_basic.py::test_cache_spans_middleware"
deselect="${deselect-} --deselect=tests/integrations/django/test_basic.py::test_cache_spans_templatetag"
deselect="${deselect-} --deselect=tests/integrations/django/test_basic.py::test_ensures_spotlight_middleware_when_spotlight_is_enabled"
deselect="${deselect-} --deselect=tests/integrations/aiohttp/test_aiohttp.py::test_span_origin"
deselect="${deselect-} --deselect=tests/integrations/requests/test_requests.py::test_omit_url_data_if_parsing_fails"
deselect="${deselect-} --deselect=tests/integrations/requests/test_requests.py::test_crumb_capture"
deselect="${deselect-} --deselect=tests/integrations/stdlib/test_httplib.py::test_span_origin"
deselect="${deselect-} --deselect=tests/integrations/stdlib/test_httplib.py::test_http_timeout"
ignore="${ignore-} --ignore=tests/integrations/boto3"
ignore="${ignore-} --ignore=tests/integrations/httpx"
ignore="${ignore-} --ignore=tests/integrations/socket"
%endif

# These tests require credentials.
#   https://github.com/getsentry/sentry-python/blob/2.7.1/tests/integrations/aws_lambda/test_aws.py#L6
ignore="${ignore-} --ignore=tests/integrations/aws_lambda/"

# The testing suite relies on executing the test in a clean environment.
deselect="${deselect-} --deselect=tests/test_basics.py::test_auto_enabling_integrations_catches_import_error"

# This test will always fail, since environmental variable is defined and
# default release is not an empty string anymore.
deselect="${deselect-} --deselect=tests/test_utils.py::test_default_release_empty_string"

# These tests cannot be run during the Fedora build due to the version of pytest being used.
#   https://github.com/pytest-dev/pytest/issues/9621
#   https://github.com/pytest-dev/pytest-forked/issues/67
deselect="${deselect-} --deselect=tests/utils/test_contextvars.py"

# no_fakeredis
deselect="${deselect-} --deselect=tests/test_basics.py::test_redis_disabled_when_not_installed"
ignore="${ignore-} --ignore=tests/integrations/redis"
ignore="${ignore-} --ignore=tests/integrations/rq"

# old_graphene
ignore="${ignore-} --ignore=tests/integrations/graphene"

# no_mockupdb
ignore="${ignore-} --ignore=tests/integrations/pymongo"

# no_newrelic
deselect="${deselect-} --deselect=tests/integrations/celery/test_celery.py::test_newrelic_interference"

# new_werkzeug
ignore="${ignore-} --ignore=tests/integrations/bottle"
ignore="${ignore-} --ignore=tests/integrations/flask"
ignore="${ignore-} --ignore=tests/integrations/pyramid"

# These tests are time-dependent and may fail due to hardcoded delays.
# Deselect them until they are reimplemented using time mocking.
#   https://bugzilla.redhat.com/show_bug.cgi?id=2265822
#   https://github.com/getsentry/sentry-python/issues/3335
deselect="${deselect-} --deselect=tests/profiler/test_continuous_profiler.py::test_continuous_profiler_auto_start_and_manual_stop"
deselect="${deselect-} --deselect=tests/profiler/test_continuous_profiler.py::test_continuous_profiler_auto_start_and_manual_stop_sampled"
deselect="${deselect-} --deselect=tests/profiler/test_continuous_profiler.py::test_continuous_profiler_auto_start_and_manual_stop_unsampled"
deselect="${deselect-} --deselect=tests/profiler/test_continuous_profiler.py::test_continuous_profiler_auto_start_and_stop_sampled"
deselect="${deselect-} --deselect=tests/profiler/test_continuous_profiler.py::test_continuous_profiler_manual_start_and_manual_stop_sampled"
deselect="${deselect-} --deselect=tests/profiler/test_continuous_profiler.py::test_continuous_profiler_manual_start_and_manual_stop_unsampled"
deselect="${deselect-} --deselect=tests/profiler/test_continuous_profiler.py::test_continuous_profiler_manual_start_and_stop"
deselect="${deselect-} --deselect=tests/profiler/test_transaction_profiler.py::test_profile_captured"
deselect="${deselect-} --deselect=tests/test_metrics.py::test_timing"
deselect="${deselect-} --deselect=tests/test_metrics.py::test_timing_decorator"

# TODO: investigate, why extra information is added to `event["_meta"]`.
deselect="${deselect-} --deselect=tests/test_basics.py::test_stacktrace_big_recursion"

defined_toxenvs=$(echo "%toxenvs_excluded" "%toxenvs" | xargs -n1 | sort -u)
tox_ini_toxenvs=$(cat tox.ini | sed -r -n 's/[[:blank:]]*(.*):[[:blank:]]*TESTPATH=.*/%{default_toxenv}-\1/p' | xargs -n1 | sort -u)
diff <(echo "$defined_toxenvs") <(echo "$tox_ini_toxenvs")

# Start redis-server, which is required for some integration tests.
%{_bindir}/redis-server --bind 127.0.0.1 --port 6379 &
REDIS_SERVER_PID=$!

# Start postresql-server, which is required for some integrations tests.
%postgresql_tests_run
export SENTRY_PYTHON_TEST_POSTGRES_USER=sentry_test_user
export SENTRY_PYTHON_TEST_POSTGRES_PASSWORD=sentry_test_password
export SENTRY_PYTHON_TEST_POSTGRES_NAME=sentry_test_name
export SENTRY_PYTHON_TEST_POSTGRES_PORT=$PGTESTS_PORT
psql -c "CREATE ROLE $SENTRY_PYTHON_TEST_POSTGRES_USER WITH LOGIN SUPERUSER PASSWORD '$SENTRY_PYTHON_TEST_POSTGRES_PASSWORD';"
createdb $SENTRY_PYTHON_TEST_POSTGRES_NAME --owner $SENTRY_PYTHON_TEST_POSTGRES_USER

# Run tests
# Set `SENTRY_RELEASE` environmental variable, so that tests could set
# `sentry.release` to log attributes, as otherwise it is not set
# (it is not a git repository, so `sentry_sdk.utils.get_git_revision`
# does not return a git revision used as release).
DJANGO_SETTINGS_MODULE=tests.integrations.django.myapp.settings SENTRY_RELEASE=%{version} %tox -e %{toxenvs_csv} -- -- ${deselect-} ${ignore-}

# Terminate redis-server.
%{_bindir}/redis-cli shutdown nosave force now
# Wait for redis-server termination (the command above is asynchronous).
wait $REDIS_SERVER_PID
%endif

%files -n python3-sentry-sdk -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Thu Jul 17 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 2.28.0-4
- Remove pyrsistent from test dependencies

* Wed Jun 18 2025 Python Maint <python-maint@redhat.com> - 2.28.0-3
- Bootstrap for Python 3.14.0b3 bytecode

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 2.28.0-2
- Bootstrap for Python 3.14

* Wed May 14 2025 Roman Inflianskas <rominf@pm.me> - 2.28.0-1
- Update to v2.28.0

* Wed May 14 2025 Miro Hrončok <miro@hroncok.cz> - 2.27.0-5
- Fix build --without tests

* Sat Apr 26 2025 Roman Inflianskas <rominf@pm.me> - 2.27.0-1
- Update to v2.27.0 (fedora#2362043)

* Fri Apr 18 2025 Roman Inflianskas <rominf@pm.me> - 2.26.1-2
- Disable flaky tests

* Thu Apr 17 2025 Roman Inflianskas <rominf@pm.me> - 2.26.1-1
- Update to v2.26.1 (fedora#2346132)

* Thu Apr 17 2025 Roman Inflianskas <rominf@pm.me> - 2.21.0-2
- Add http2 extra

* Fri Feb 14 2025 Roman Inflianskas <rominf@pm.me> - 2.21.0-1
- Update to v2.21.0 (fedora#2323673, fedora#2341211, fedora#2335402)

* Thu Feb 13 2025 Roman Inflianskas <rominf@pm.me> - 2.19.2-1
- Update to 2.19.2 (fedora#2323673)

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.17.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Oct 29 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.17.0-3
- Update Starlette/python-multipart patch as merged upstream

* Tue Oct 29 2024 Roman Inflianskas <rominf@pm.me> - 2.17.0-1
- Update to v2.17.0 (fedora#2310848)

* Tue Oct 29 2024 Roman Inflianskas <rominf@pm.me> - 2.16.0-1
- Update to v2.16.0 (fedora#2310848)

* Mon Oct 28 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.15.0-3
- Avoid PendingDeprecationError from recent python-multipart

* Mon Oct 28 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.15.0-2
- Unpin the virtualenv test dependency; fixes FTBFS in F42+

* Wed Oct 02 2024 Roman Inflianskas <rominf@pm.me> - 2.15.0-1
- Update to v2.15.0 (fedora#2310848)

* Tue Aug 20 2024 Roman Inflianskas <rominf@pm.me> - 2.13.0-1
- Update to v2.13.0 (fedora#2301207, fedora#2301991, fedora#2302923,
  fedora#2304029, fedora#2304047, fedora#2304128)

* Tue Aug 20 2024 Roman Inflianskas <rominf@pm.me> - 2.7.1-22
- Remove tests specific to Python 2

* Tue Aug 20 2024 Roman Inflianskas <rominf@pm.me> - 2.7.1-18
- Add patches for Python 3.13 support

* Tue Aug 20 2024 Roman Inflianskas <rominf@pm.me> - 2.7.1-15
- Exclude tox env `spark`

* Tue Aug 20 2024 Roman Inflianskas <rominf@pm.me> - 2.7.1-14
- Exclude tox env `potel`

* Tue Aug 20 2024 Roman Inflianskas <rominf@pm.me> - 2.7.1-13
- Remove `opentelemetry_experimental` conditional

* Tue Aug 20 2024 Roman Inflianskas <rominf@pm.me> - 2.7.1-12
- Do not install `gevent` and test with `gevent`

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 16 2024 Python Maint <python-maint@redhat.com> - 2.7.1-2
- Finish Python 3.13 bootstrap

* Fri Jul 05 2024 Paul Wouters <paul.wouters@aiven.io> - 2.7.1-1
- Resolves: rhbz#2282202 Update to 2.7.1
- Disable unpackaged cohere

* Tue Jun 11 2024 Python Maint <python-maint@redhat.com> - 2.1.1-3
- Bootstrap for Python 3.13

* Tue Jun 11 2024 Miro Hrončok <miro@hroncok.cz> - 2.1.1-2
- Add a bcond for tests

* Fri May 10 2024 Roman Inflianskas <rominf@pm.me> - 2.1.1-1
- Update to v2.1.1 (fedora#2257648)

* Thu May 02 2024 Roman Inflianskas <rominf@pm.me> - 2.0.1-1
- Update to v2.0.1

* Fri Apr 26 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.45.0-2
- Allow testing with anyio 4

* Thu Apr 18 2024 Roman Inflianskas <rominf@pm.me> - 1.45.0-1
- Update to v1.45.0

* Mon Apr 01 2024 Roman Inflianskas <rominf@pm.me> - 1.44.0-1
- Update to v1.44.0

* Wed Feb 21 2024 Roman Inflianskas <rominf@aiven.io> - 1.39.2-2
- BuildRequires: psycopg -> psycopg2

* Wed Feb 21 2024 Roman Inflianskas <rominf@aiven.io> - 1.39.2-1
- Update to 1.39.2

* Tue Feb 20 2024 Roman Inflianskas <rominf@aiven.io> - 1.39.1-6
- Use forges

* Tue Feb 20 2024 Roman Inflianskas <rominf@aiven.io> - 1.39.1-5
- Use %%autorelease

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.39.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.39.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Dec 20 2023 Roman Inflianskas <rominf@aiven.io> - 1.39.1-1
- Update to 1.39.1 (fedora#2238739)
- Use bcond for conditionally excluded integrations, sqlalchemy during
  tests, and for network-related tests
- Verify all extras against setup.py
- Improve testing by removing ignores for tests that pass and adding
  comments with reasons for ignores
- Remove patch for Python 3.12 which is unnecessary now
- Add new integrations (extras)

* Thu Oct 12 2023 Miro Hrončok <mhroncok@redhat.com> - 1.29.2-2
- Explicitly BuildRequire python3dist(pysocks), as the tests fail without it

* Mon Sep 04 2023 Roman Inflianskas <rominf@aiven.io> - 1.29.2-1
- Update to 1.29.2 (fedora#2222617)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.28.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 13 2023 Roman Inflianskas <rominf@aiven.io> - 1.28.0-1
- Update to 1.28.0 (fedora#2220929)
- Tests: add support for Python 3.12 (fedora#2220496)

* Thu Jul 13 2023 Python Maint <python-maint@redhat.com> - 1.27.0-2
- Rebuilt for Python 3.12

* Wed Jul 05 2023 Roman Inflianskas <rominf@aiven.io> - 1.27.0-1
- Update to 1.27.0 (resolve rhbz#2219588)

* Mon Jun 26 2023 Roman Inflianskas <rominf@aiven.io> - 1.26.0-1
- Update to 1.26.0 (resolve rhbz#2216744)

* Wed Jun 21 2023 Roman Inflianskas <rominf@aiven.io> - 1.25.1-1
- Update to 1.25.1 (resolve rhbz#2211880)
- Improve testing

* Thu May 25 2023 Roman Inflianskas <rominf@aiven.io> - 1.24.0-1
- Update to 1.24.0 (resolve rhbz#2196238)

* Mon May 22 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.22.1-2
- Add grpcio extra metapackage and test dependency
- Add an explicit protobuf dependency for testing
- Re-generate integration grpc test proto bindings; fixes FTBFS with
  python-opentelemetry 1.18.0/0.39~b0

* Mon May 08 2023 Roman Inflianskas <rominf@aiven.io> - 1.22.1-1
- Update to 1.22.1 (resolve rhbz#2193365)

* Tue May 02 2023 Roman Inflianskas <rominf@aiven.io> - 1.21.1-1
- Update to 1.21.1 (resolve rhbz#2182365)

* Mon Mar 27 2023 Roman Inflianskas <rominf@aiven.io> - 1.17.0-1
- Update to 1.17.0 (resolve rhbz#2179098)

* Tue Feb 28 2023 Roman Inflianskas <rominf@aiven.io> - 1.16.0-1
- Update to 1.16.0 (resolve rhbz#2167733)
- Switch to MIT license

* Mon Jan 23 2023 Roman Inflianskas <rominf@aiven.io> - 1.14.0-1
- Update to 1.14.0 (resolve rhbz#2163387)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jan 13 2023 Roman Inflianskas <rominf@aiven.io> - 1.13.0-1
- Update to 1.13.0 (resolve rhbz#2160514)
- Cleanup check section

* Thu Jan 12 2023 Roman Inflianskas <rominf@aiven.io> - 1.12.1-1
- Update to 1.12.1 (resolve rhbz#2153838)
- Add fastapi, pymongo, and opentelemetry extras
- Remove falcon extra
- Check imports

* Wed Nov 23 2022 Roman Inflianskas <rominf@aiven.io> - 1.11.1-1
- Update to 1.11.1 (resolve rhbz#2144826)

* Mon Nov 21 2022 Roman Inflianskas <rominf@aiven.io> - 1.11.0-1
- Update to 1.11.0 (resolve rhbz#2142588)

* Wed Oct 26 2022 Roman Inflianskas <rominf@aiven.io> - 1.10.1-1
- Update to 1.10.1 (resolve rhbz#2136521)

* Tue Oct 04 2022 Roman Inflianskas <rominf@aiven.io> - 1.9.10-1
- Update to 1.9.10 (resolve rhbz#2131775)

* Wed Sep 28 2022 Roman Inflianskas <rominf@aiven.io> - 1.9.9-1
- Update to 1.9.9 (resolve rhbz#2115953)
- Add falcon extra again

* Fri Jul 29 2022 Roman Inflianskas <rominf@aiven.io> - 1.9.0-1
- Update to 1.9.0 (resolve rhbz#2111875)

* Tue Jul 26 2022 Roman Inflianskas <rominf@aiven.io> - 1.8.0-2
- Remove extras, which fail to install (resolve rhbz#2110754)

* Sat Jul 23 2022 Roman Inflianskas <rominf@aiven.io> - 1.8.0-1
- Update to 1.8.0 (resolve rhbz#2105940)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 01 2022 Roman Inflianskas <rominf@aiven.io> - 1.6.0-1
- Update to 1.6.0
- Remove falcon extra (resolve rhbz#2102851)

* Fri Jun 10 2022 Roman Inflianskas <rominf@aiven.io> - 1.5.12-1
- Initial package

## END: Generated by rpmautospec
